##############################################################################
##
## Zen_PowerShell_Script_strings.psd1
##
## by Actian Corporation (http://www.actian.com/zen)
##
## Localized strings for Actian Zen PowerShell scripts.
##
##############################################################################
@{
    # High level error checks for all PowerShell scripts.
    errNoProductType="ERROR: Unable to load install configuration file '{0}'."
    errNoWGInstall="ERROR: Zen Workgroup Engine installations are not supported on this operating system."
    errNoWG64="ERROR: Zen Workgroup Engine can only be installed on 32-bit systems."
    errNoRPT32="ERROR: The 'reporting' option can only be used on 64-bit Windows Nano Server systems."
    errNoPSQL="ERROR: An incompatible version of PSQL is currently installed.  Please uninstall the incompatible version befor installing Zen."
    errNoOtherPsql="ERROR: Zen '{0}' cannot be installed when '{1}' exists."
    errNoArm64="ERROR: Installing Zen on 64-bit ARM systems is not supported at this time."
    errUnknown="ERROR: The script encountered an unknown error, please review the messages displayed above."
    errWrongPlatform="ERROR: This package is intended for the {0} platform and the detected platform is {1}."

    # Log file.
    infoStart=         "INFO: Start                           : {0}"
    infoCulture=       "INFO: Culture                         : {0}"
    infoCompName=      "INFO: Computer Name                   : {0}"
    infoProcNum=       "INFO: Number of Processors            : {0}"
    infoWinArch=       "INFO: Processor Architecture          : {0}"
    infoWinPlat=       "INFO: OS Version Platform             : {0}"
    infoWinVer=        "INFO: OS Version                      : {0}"
    infoIs64Bit=       "INFO: Is 64-bit OS                    : {0}"
    infoCLRVer=        "INFO: Common Language Runtime Version : {0}"
    infoUserName=      "INFO: User Name                       : {0}"
    infoUserDomain=    "INFO: User Domain                     : {0}"
    infoPSVer=         "INFO: PowerShell version              : {0}"
    infoPSCLRVer=      "INFO: PowerShell CLR Version          : {0}"
    infoFWDomainPS=    "INFO: Firewall Domain Profile State   : {0}"
    infoFWPrivatePS=   "INFO: Firewall Private Profile State  : {0}"
    infoFWPublicPS=    "INFO: Firewall Public Profile State   : {0}"
    infoScriptName=    "INFO: Script Name                     : {0}"
    infoScriptPath=    "INFO: Script Path                     : {0}"
    infoUpdating=      "INFO: Updating Existing Zen           : {0}"
    infoRunning=       "Running '{0} {1}', please wait..."
    infoEnd=         "INFO: End                             : {0}"
    completeInstallMsg="+++++ Zen Install Complete!  See log file: '{0}'"
    completeRemoveMsg="+++++ Zen Removal Complete!  See log file: '{0}'"

    # Service start/stop.
    doStopSvcs="+++++ Checking for any running '{0}' services..."
    passStopSvcs="Successfully stopped service '{0}'."
    warnStopSvcs="WARNING: Unable to stop service '{0}'."
    notFoundRunningSvcs="There are no running '{0}' services."
    notFoundSvcs="There are no '{0}' services to be started."
    skipAddSvc="Skipping service creation: service name '{0}' already exists."
    warnNoSvcFile="WARNING: unable to locate '{0}', cannot create service name '{1}'."
    passAddSvc="Successfully created new service '{0}'."
    errAddSvc="ERROR: Unable to create new service '{0}'."
    doAddSvc="+++++ Creating Zen services..."
    doRemoveSvc="+++++ Removing Zen services."
    svcDesc="Manages the {0}."
    warnSvcNotStopped="WARNING: The service '{0}' is not in the 'stopped' state, unable to delete it."
    passRemoveSvc="Successfully deleted service '{0}'."
    warnUnableToStopSvc="WARNING: Unable to delete service '{0}'.  The service control utility returned: '{1}'."
    doStartPsqlSvcs="+++++ Starting Zen services..."
    passStartSvcs="Successfully started service '{0}'."
    skipStartSvcs="The '{0}' service is already running."
    errStartSvcs="ERROR: Unable to start service '{0}'."

    # Unpacking files.
    doUnpack="+++++ Unpacking files."
    passUnpack="Successfully extracted '{0}' content to '{1}'."
    warnUnpack="WARNING: Unable to extract '{0}' content to '{1}'."

    # Remove files.
    doDelFiles="+++++ Removing non-{0} files."
    passDelFiles="Successfully removed non-{0} file '{1}'."
    warnDelFiles="WARNING: unable to remove non-{0} file '{1}'."

    # Updating ACLs.
    doUpdateACLs="Applying ACL '{0}' to '{1}'."
    passUpdateACLs="Successfully applied ACL '{0}' to '{1}'."
    warnUpdateACLs1="WARNING: Incorrect number of arguments passed to UpdateACLs function."
    warnUpdateACLs2="WARNING: Unable to locate '{0}', ACL '{1}' was NOT applied."
    warnUpdateACLs3="WARNING: unable to update the ACL for '{0}' to '{1}'."

    # Reading from config file.
    doReadCfgFile="+++++ Reading values from {0}..."
    addVarFromCfg="Updating existing variable '{0}' to '{1}'."
    updateVarFromCfg="Creating variable '{0}' to '{1}'."
    errNoCfgFile="ERROR: Unable to locate configuration file '{0}', the installation cannot continue."

    # Performance Counter Sets.
    doUpdatePerfMonCtr="+++++ Unloading Zen counter sets for Windows Performance Monitor."
    warnNotFoundPerfMonCtrCfg="WARNING: Unable to locate performance monitor counter set configuration file '{0}', skipping unload."
    passUpdatePerfMonCtr="Successfully unloaded Zen counter sets for Windows Performance Monitor."
    warnUpdatePerfMonCtr="WARNING: Unable to unload Zen counter sets for Windows Performance Monitor. 'Unlodctr.exe /m:{0}' returned '{1}, {2}'."
    doLoadPerfMonCtr="+++++ Loading Zen counter sets for Windows Performance Monitor."
    #warnNotFoundPerfMonCtrCfg - see UnloadPerfMonCounterSets
    passLoadPerfMonCtr="Successfully loaded Zen counter sets for Windows Performance Monitor."
    warnLoadPerfMonCtr="WARNING: Unable to load Zen counter sets for Windows Performance Monitor. 'Lodctr.exe {0}' returned '{1}, {2}'."

    # Remove obsolete files.
    doRemoveObsoleteFiles="+++++ Removing obsolete files during upgrade."
    passRemoveObsoleteFiles="Successfully removed obsolete file '{0}'."
    warnRemoveObsoleteFiles="WARNING: Unable to remove obsolete file '{0}'."

    # Path env var edits.
    doUpdatePath="+++++ Checking %PATH% environment variables..."
    doRemoveFromPath="+++++ Removing '{0}' from %PATH% environment variables."
    skipUpdatePath="{0} %PATH% environment variable already contains '{1}'."
    passUpdatePath="Successfully added '{0}' to {1} %PATH% environment variable."
    warnUpdatePath="WARNING: Unable to add '{0}' to {1} %PATH% environment variable."
    warnRemoveFromPathArgs="WARNING: Incorrect number of arguments passed to RemoveStrFromPath function."
    passRemoveFromPath="Successfully removed '{0}' from {1} %PATH% environment variable."
    warnRemoveFromPath="WARNING: Unable to remove '{0}' from {1} %PATH% environment variable."

    # Registry edits.
    doPsqlReg="+++++ Updating system registry..."
    doRemovePsqlReg="+++++ Removing registry key '{0}'."
    skipCreateRootKey="Root key '{0}' already exists."
    addRootKey="Creating root key '{0}'."
    skipInstallInfoKey="InstallInfo key '{0}' already exists."
    addInstallInfoKey="Creating InstallInfo key '{0}'."
    addInstallInfoValues="Setting InstallInfo values, see log file '{0}' for details."
    skipElsKey="ELS key '{0}' already exists."
    addElsKey="Creating ELS key '{0}'."
    addElsValues="Setting ELS values, see log file '{0}' for details."
    addDBNamesDirectory="Found existing DBNAMES.CFG file, creating registry value DBNamesDirectory='{0}'."
    notFoundPsqlReg="The Zen root key '{0}' does not exist."
    passRemovePsqlReg="Successfully removed registry key '{0}'."
    warnRemovePsqlReg="WARNING: Unable to remove registry key '{0}'."

    # COM un/registration.
    doRegisterCom="+++++ Registering Zen COM interface libraries..."
    doUnRegisterCom="+++++ Unregistering Zen COM interface libraries."
    passRegFile="Successfully registered COM interface '{0}'."
    warnRegFile="WARNING: Unable to register COM interface '{0}'."
    passUnRegFile="Successfully unregistered COM interface '{0}'."
    warnUnRegFile="WARNING: Unable to unregister COM interface '{0}'."

    # Firewall rules.
    warnNoRuleFile="WARNING: Cannot locate '{0}', cannot create new firewall rule '{1}'."
    skipAddRule="Skipping creation of firewall rule: rule name '{0}' already exists."
    passAddRule="Successfully created new firewall rule '{0}' for all firewall profiles (enabled=no)."
    warnAddRuleFailed="WARNING: Unable to create new firewall rule '{0}' for all firewall profiles (enabled=no)."
    doAddFWRules="+++++ Adding Zen firewall rules..."
    warnNoNetSecCreate="WARNING: The NetSecurity PowerShell Module is not installed. The Zen firewall rules will NOT be created."
    warnNoNetSecModify="WARNING: The NetSecurity PowerShell Module is not installed. Any installed Zen firewall rules will NOT be modified."
    warnNoNetSecRemove="WARNING: The NetSecurity PowerShell Module is not installed. Any installed Zen firewall rules will NOT be removed."
    doRemoveFWRules="+++++ Removing Zen firewall rules."
    passRemoveFWRule="Successfully removed firewall rule names matching '{0}*'."
    warnRemoveFWRule="WARNING: Unable to remove firewall rule names matching '{0}*'."
    failToEnableRules="WARNING: Unable to enable firewall rules matching name 'Actian Zen*' on Windows Firewall profile '{0}'."

    # Databases.
    doCreateDbs="+++++ Initializing Zen system databases..."
    #doRemoveDbs="+++++ Uninstalling Zen system databases."
    skipCreateDbs="+++++ Skipping initialization of Zen system databases (Client or Reporting Engine installation)..."
    #skipRemoveDbs="+++++ Skipping uninstallation of Zen system databases (Client or Reporting Engine installed)."
    foundDbnames="'{0}DBNAMES.CFG' already exists, the existing stored procedures for the Zen system databases will be refreshed."
    #noSetupDbCfgUpdate="WARNING: Unable to locate setupdb configuration file '{0}', the stored procedures for the Zen system databases were NOT refreshed."
    notFoundDbnames="'{0}DBNAMES.CFG' does not exist, the Zen system databases will be created."
    noSetupDbCfgCreate="WARNING: Unable to locate setupdb configuration file '{0}', the Zen systems databases were NOT created."
    runningSetupdb="Executing 'setupdbcli.exe {0}', check '{1}' for the results."
    passSetupdb="Successfully executed '{0}bin\setupdbcli.exe', check '{1}' for results."
    failSetupdb="WARNING: Failed to execute '{0}bin\setupdbcli.exe'."
    noSetupDb="WARNING: Unable to locate '{0}bin\setupdbcli.exe', the Zen system databases were NOT created.'"
    noSetupDbRemove="WARNING: Unable to locate '{0}bin\setupdbcli.exe', the Zen system databases were NOT removed.'"

    # Licensing.
    doAddTempLic="+++++ Authorizing Zen trial license..."
    notFoundClilcadm="WARNING: Unable to locate '{0}bin\clilcadm.exe', the trial license was not applied."
    passAddTempLic="Successfully authorized Zen trial license '{0}'."
    warnAddTempLic="WARNING: {0} - {1} - {2}."

    # E-Collect.
    doECollect="+++++ Collecting information on installed Zen products..."
    skipECollect="+++++ Skipping information collection on installed Zen products (eCollect not supported on this platform)..."
    passECollect="Successfully collected information on installed Zen products."
    warnECollect="WARNING: Unable to collect information on installed Zen products (the {0} returned '{1}')."
    infoECollectCopiedLog="INFO: Copied els.log to '{0}\zen_els_uninstall.log'."

    # Update Royalty Record.
    doUpdateRoyaltyRec="+++++ Updating royalty record..."
    passUpdateRoyaltyRec="Successfully updated royalty record."
    warnUpdateRoyaltyRec="WARNING: Unable to update royalty record (the {0} returned '{1}')."

    # Remove Files and Folders.
    warnRemoveDirArgs="WARNING: Incorrect number of arguments passed to RemoveFolderIfEmpty function."
    passRemoveDir="Successfully removed empty folder '{0}'."
    warnRemoveDir="WARNING: Unable to remove '{0}'. The Remove-Item cmdlet returned: '{1}'"
    passRemoveParent="Successfully removed empty parent folder '{0}'."
    warnRemoveParent="Unable to remove parent folder '{0}' because is is not empty."
    doRemovePsqlFiles="+++++ Removing Zen files."
    passRemovePsqlFiles="Successfully removed all files and folders from '{0}'."
    warnRemovePsqlFiles="WARNING: Unable to remove one or more files or folders from '{0}'. The Remove-Item cmdlet returned: '{1}'"
    keepDbnames="Keeping '{0}{1}'."
    passRemovePsqlItem="Successfully removed '{0}{1}'."
    warnRemovePsqlItem="WARNING: Unable to remove '{0}{1}'."
}
# SIG # Begin signature block
# MIIcMwYJKoZIhvcNAQcCoIIcJDCCHCACAQExCzAJBgUrDgMCGgUAMGkGCisGAQQB
# gjcCAQSgWzBZMDQGCisGAQQBgjcCAR4wJgIDAQAABBAfzDtgWUsITrck0sYpfvNR
# AgEAAgEAAgEAAgEAAgEAMCEwCQYFKw4DAhoFAAQUCKflhOZVdv8eT1egXLrDtNOM
# G66gghcYMIID7jCCA1egAwIBAgIQfpPr+3zGTlnqS5p31Ab8OzANBgkqhkiG9w0B
# AQUFADCBizELMAkGA1UEBhMCWkExFTATBgNVBAgTDFdlc3Rlcm4gQ2FwZTEUMBIG
# A1UEBxMLRHVyYmFudmlsbGUxDzANBgNVBAoTBlRoYXd0ZTEdMBsGA1UECxMUVGhh
# d3RlIENlcnRpZmljYXRpb24xHzAdBgNVBAMTFlRoYXd0ZSBUaW1lc3RhbXBpbmcg
# Q0EwHhcNMTIxMjIxMDAwMDAwWhcNMjAxMjMwMjM1OTU5WjBeMQswCQYDVQQGEwJV
# UzEdMBsGA1UEChMUU3ltYW50ZWMgQ29ycG9yYXRpb24xMDAuBgNVBAMTJ1N5bWFu
# dGVjIFRpbWUgU3RhbXBpbmcgU2VydmljZXMgQ0EgLSBHMjCCASIwDQYJKoZIhvcN
# AQEBBQADggEPADCCAQoCggEBALGss0lUS5ccEgrYJXmRIlcqb9y4JsRDc2vCvy5Q
# WvsUwnaOQwElQ7Sh4kX06Ld7w3TMIte0lAAC903tv7S3RCRrzV9FO9FEzkMScxeC
# i2m0K8uZHqxyGyZNcR+xMd37UWECU6aq9UksBXhFpS+JzueZ5/6M4lc/PcaS3Er4
# ezPkeQr78HWIQZz/xQNRmarXbJ+TaYdlKYOFwmAUxMjJOxTawIHwHw103pIiq8r3
# +3R8J+b3Sht/p8OeLa6K6qbmqicWfWH3mHERvOJQoUvlXfrlDqcsn6plINPYlujI
# fKVOSET/GeJEB5IL12iEgF1qeGRFzWBGflTBE3zFefHJwXECAwEAAaOB+jCB9zAd
# BgNVHQ4EFgQUX5r1blzMzHSa1N197z/b7EyALt0wMgYIKwYBBQUHAQEEJjAkMCIG
# CCsGAQUFBzABhhZodHRwOi8vb2NzcC50aGF3dGUuY29tMBIGA1UdEwEB/wQIMAYB
# Af8CAQAwPwYDVR0fBDgwNjA0oDKgMIYuaHR0cDovL2NybC50aGF3dGUuY29tL1Ro
# YXd0ZVRpbWVzdGFtcGluZ0NBLmNybDATBgNVHSUEDDAKBggrBgEFBQcDCDAOBgNV
# HQ8BAf8EBAMCAQYwKAYDVR0RBCEwH6QdMBsxGTAXBgNVBAMTEFRpbWVTdGFtcC0y
# MDQ4LTEwDQYJKoZIhvcNAQEFBQADgYEAAwmbj3nvf1kwqu9otfrjCR27T4IGXTdf
# plKfFo3qHJIJRG71betYfDDo+WmNI3MLEm9Hqa45EfgqsZuwGsOO61mWAK3ODE2y
# 0DGmCFwqevzieh1XTKhlGOl5QGIllm7HxzdqgyEIjkHq3dlXPx13SYcqFgZepjhq
# IhKjURmDfrYwggR9MIIDZaADAgECAgMb5xUwDQYJKoZIhvcNAQELBQAwYzELMAkG
# A1UEBhMCVVMxITAfBgNVBAoTGFRoZSBHbyBEYWRkeSBHcm91cCwgSW5jLjExMC8G
# A1UECxMoR28gRGFkZHkgQ2xhc3MgMiBDZXJ0aWZpY2F0aW9uIEF1dGhvcml0eTAe
# Fw0xNDAxMDEwNzAwMDBaFw0zMTA1MzAwNzAwMDBaMIGDMQswCQYDVQQGEwJVUzEQ
# MA4GA1UECBMHQXJpem9uYTETMBEGA1UEBxMKU2NvdHRzZGFsZTEaMBgGA1UEChMR
# R29EYWRkeS5jb20sIEluYy4xMTAvBgNVBAMTKEdvIERhZGR5IFJvb3QgQ2VydGlm
# aWNhdGUgQXV0aG9yaXR5IC0gRzIwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEK
# AoIBAQC/cWII8fpZNPcbyRij94BJWOkigxOmxSBDATuE8eaFSZ8n6vaEG06gtNtw
# mMcyAbEFPgdO7vT6Ty9ZMCLnqxlWa+KAB/zzFnWAOVF75fk1tnROqY2CE+S2P6kD
# g/qivooVan/eC8O2GRQFyurDqASUO0Z8Mg3zAGYiyI1pbTaMERi307IcYLQ4+gKM
# ztPdRgfeCj7rXXzIfPuwK1OkkmJpUSUFYRpEgYwsqUOWI9+sOoGaDinFHKnpXR62
# np4wCjnO8YiA+0tdzDLshWJDJTQCVicBkbQ7cCo/brHonIgBfZ/U+dtTbWCdvyzn
# WKu4X0b8zsQbAzwJ60kxXGlGs+BHAgMBAAGjggEXMIIBEzAPBgNVHRMBAf8EBTAD
# AQH/MA4GA1UdDwEB/wQEAwIBBjAdBgNVHQ4EFgQUOpqFBxBnKLbv9r0FQW4gwZTa
# D94wHwYDVR0jBBgwFoAU0sSw0pHUTBFxs2HLPaH+3ahq1OMwNAYIKwYBBQUHAQEE
# KDAmMCQGCCsGAQUFBzABhhhodHRwOi8vb2NzcC5nb2RhZGR5LmNvbS8wMgYDVR0f
# BCswKTAnoCWgI4YhaHR0cDovL2NybC5nb2RhZGR5LmNvbS9nZHJvb3QuY3JsMEYG
# A1UdIAQ/MD0wOwYEVR0gADAzMDEGCCsGAQUFBwIBFiVodHRwczovL2NlcnRzLmdv
# ZGFkZHkuY29tL3JlcG9zaXRvcnkvMA0GCSqGSIb3DQEBCwUAA4IBAQBZC1O9koYR
# pyR77Vsxzx0fbHDFuG6+Trv2vpdQ4TB/uihcYpTC434z9/tCdoXblRyMIlh1CQyI
# ZWc5ChYJxaA4l6TFI5M/tBimAQZEkeOnaSe0WiV/Orcyzd2E/yo4KTOk3Weyhf6h
# iCAcUInI3Cr2QgM3TOaI39WvJPKxw9/MtezgmV63SVQgPJQYDMccUhhJpG3hs1gL
# ydjs2a4cMo4ocA3i/qYXnoQPvVdws1rpH6CGU7vvfP9pC+BIw7eTC8gKVMSsXRRn
# N2zKpS8xCDeqbm+MvJviV10kga+Xl5yErWysN0xm82GRESDkvjCfeqQpCbDhNF9k
# dxhAUd+MMKavMIIEozCCA4ugAwIBAgIQDs/0OMj+vzVuBNhqmBsaUDANBgkqhkiG
# 9w0BAQUFADBeMQswCQYDVQQGEwJVUzEdMBsGA1UEChMUU3ltYW50ZWMgQ29ycG9y
# YXRpb24xMDAuBgNVBAMTJ1N5bWFudGVjIFRpbWUgU3RhbXBpbmcgU2VydmljZXMg
# Q0EgLSBHMjAeFw0xMjEwMTgwMDAwMDBaFw0yMDEyMjkyMzU5NTlaMGIxCzAJBgNV
# BAYTAlVTMR0wGwYDVQQKExRTeW1hbnRlYyBDb3Jwb3JhdGlvbjE0MDIGA1UEAxMr
# U3ltYW50ZWMgVGltZSBTdGFtcGluZyBTZXJ2aWNlcyBTaWduZXIgLSBHNDCCASIw
# DQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAKJjCzlEuLsjp0RJuw7/ofBhClOT
# sJjbrSwPSsVu/4Y8U1UPFc4EPyv9qZaW2b5heQtbyUyGduXgQ0sile7CK0PBn9ho
# tI5AT+6FOLkRxSPyZFjwFTJvTlehroikAtcqHs1L4d1j1ReJMluwXplaqJ0oUA4X
# 7pbbYTtFUR3PElYLkkf8q672Zj1HrHBy55LnX80QucSDZJQZvSWA4ejSIqXQugJ6
# oXeTW2XD7hd0vEGGKtwITIySjJEtnndEH2jWqHR32w5bMotWizO92WPISZ06xcXq
# MwvS8aMb9Iu+2bNXizveBKd6IrIkri7HcMW+ToMmCPsLvalPmQjhEChyqs0CAwEA
# AaOCAVcwggFTMAwGA1UdEwEB/wQCMAAwFgYDVR0lAQH/BAwwCgYIKwYBBQUHAwgw
# DgYDVR0PAQH/BAQDAgeAMHMGCCsGAQUFBwEBBGcwZTAqBggrBgEFBQcwAYYeaHR0
# cDovL3RzLW9jc3Aud3Muc3ltYW50ZWMuY29tMDcGCCsGAQUFBzAChitodHRwOi8v
# dHMtYWlhLndzLnN5bWFudGVjLmNvbS90c3MtY2EtZzIuY2VyMDwGA1UdHwQ1MDMw
# MaAvoC2GK2h0dHA6Ly90cy1jcmwud3Muc3ltYW50ZWMuY29tL3Rzcy1jYS1nMi5j
# cmwwKAYDVR0RBCEwH6QdMBsxGTAXBgNVBAMTEFRpbWVTdGFtcC0yMDQ4LTIwHQYD
# VR0OBBYEFEbGaaMOShQe1UzaUmMXP142vA3mMB8GA1UdIwQYMBaAFF+a9W5czMx0
# mtTdfe8/2+xMgC7dMA0GCSqGSIb3DQEBBQUAA4IBAQB4O7SRKgBM8I9iMDd4o4Qn
# B28Yst4l3KDUlAOqhk4ln5pAAxzdzuN5yyFoBtq2MrRtv/QsJmMz5ElkbQ3mw2cO
# 9wWkNWx8iRbG6bLfsundIMZxD82VdNy2XN69Nx9DeOZ4tc0oBCCjqvFLxIgpkQ6A
# 0RH83Vx2bk9eDkVGQW4NsOo4mrE62glxEPwcebSAe6xp9P2ctgwWK/F/Wwk9m1vi
# FsoTgW0ALjgNqCmPLOGy9FqpAa8VnCwvSRvbIrvD/niUUcOGsYKIXfA9tFGheTMr
# Lnu53CAJE3Hrahlbz+ilMFcsiUk/uc9/yb8+ImhjU5q9aXSsxR08f5Lgw7wc2AR1
# MIIE0DCCA7igAwIBAgIBBzANBgkqhkiG9w0BAQsFADCBgzELMAkGA1UEBhMCVVMx
# EDAOBgNVBAgTB0FyaXpvbmExEzARBgNVBAcTClNjb3R0c2RhbGUxGjAYBgNVBAoT
# EUdvRGFkZHkuY29tLCBJbmMuMTEwLwYDVQQDEyhHbyBEYWRkeSBSb290IENlcnRp
# ZmljYXRlIEF1dGhvcml0eSAtIEcyMB4XDTExMDUwMzA3MDAwMFoXDTMxMDUwMzA3
# MDAwMFowgbQxCzAJBgNVBAYTAlVTMRAwDgYDVQQIEwdBcml6b25hMRMwEQYDVQQH
# EwpTY290dHNkYWxlMRowGAYDVQQKExFHb0RhZGR5LmNvbSwgSW5jLjEtMCsGA1UE
# CxMkaHR0cDovL2NlcnRzLmdvZGFkZHkuY29tL3JlcG9zaXRvcnkvMTMwMQYDVQQD
# EypHbyBEYWRkeSBTZWN1cmUgQ2VydGlmaWNhdGUgQXV0aG9yaXR5IC0gRzIwggEi
# MA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQC54MsQ1K92vdSTYuswZLiBCGzD
# BNliF44v/z5lz4/OYuY8UhzaFkVLVat4a2ODYpDOD2lsmcgaFItMzEUz6ojcnqOv
# K/6AYZ15V8TPLvQ/MDxdR/yaFrzDN5ZBUY4RS1T4KL7QjL7wMDge87Am+GZHY23e
# cSZHjzhHU9FGHbTj3ADqRay9vHHZqm8A29vNMDp5T19MR/gd71vCxJ1gO7GyQ5HY
# pDNO6rPWJ0+tJYqlxvTV0KaudAVkV4i1RFXULSo6Pvi4vekyCgKUZMQWOlDxSq7n
# eTOvDCAHf+jfBDnCaQJsY1L6d8EbyHSHyLmTGFBUNUtpTrw700kuH9zB0lL7AgMB
# AAGjggEaMIIBFjAPBgNVHRMBAf8EBTADAQH/MA4GA1UdDwEB/wQEAwIBBjAdBgNV
# HQ4EFgQUQMK9J47MNIMwojPX+2yz8LQsgM4wHwYDVR0jBBgwFoAUOpqFBxBnKLbv
# 9r0FQW4gwZTaD94wNAYIKwYBBQUHAQEEKDAmMCQGCCsGAQUFBzABhhhodHRwOi8v
# b2NzcC5nb2RhZGR5LmNvbS8wNQYDVR0fBC4wLDAqoCigJoYkaHR0cDovL2NybC5n
# b2RhZGR5LmNvbS9nZHJvb3QtZzIuY3JsMEYGA1UdIAQ/MD0wOwYEVR0gADAzMDEG
# CCsGAQUFBwIBFiVodHRwczovL2NlcnRzLmdvZGFkZHkuY29tL3JlcG9zaXRvcnkv
# MA0GCSqGSIb3DQEBCwUAA4IBAQAIfmyTEMg4uJapkEv/oV9PBO9sPpyIBslQj6Zz
# 91cxG7685C/b+LrTW+C05+Z5Yg4MotdqY3MxtfWoSKQ7CC2iXZDXtHwlTxFWMMS2
# RJ17LJ3lXubvDGGqv+QqG+6EnriDfcFDzkSnE3ANkR/0yBOtg2DZ2HKocyQetawi
# DsoXiWJYRBuriSUBAA/NxBti21G00w9RKpv0vHP8ds42pM3Z2Czqrpv1KrKQ0U11
# GIo/ikGQI31bS/6kA1ibRrLDYGCD+H1QQc7CoZDDu+8CL9IVVO5EFdkKrqeKM+2x
# LXY2JtwE65/3YR8V3Idv7kaWKK2hJn0KCacuBKONvPi8BDABMIIFJjCCBA6gAwIB
# AgIICsxCB6AJxjswDQYJKoZIhvcNAQELBQAwgbQxCzAJBgNVBAYTAlVTMRAwDgYD
# VQQIEwdBcml6b25hMRMwEQYDVQQHEwpTY290dHNkYWxlMRowGAYDVQQKExFHb0Rh
# ZGR5LmNvbSwgSW5jLjEtMCsGA1UECxMkaHR0cDovL2NlcnRzLmdvZGFkZHkuY29t
# L3JlcG9zaXRvcnkvMTMwMQYDVQQDEypHbyBEYWRkeSBTZWN1cmUgQ2VydGlmaWNh
# dGUgQXV0aG9yaXR5IC0gRzIwHhcNMTcwNDA1MjAwMjAwWhcNMjAwNDEwMTk1MTM5
# WjBoMQswCQYDVQQGEwJVUzEOMAwGA1UECBMFVGV4YXMxDzANBgNVBAcTBkF1c3Rp
# bjEbMBkGA1UEChMSQWN0aWFuIENvcnBvcmF0aW9uMRswGQYDVQQDExJBY3RpYW4g
# Q29ycG9yYXRpb24wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQDDl5bZ
# gsKcnWzrY8rYrsSmI4l9tC5Ipk1Dp/LHYZQ/1uwgzbiUQavCOKhJ6q+XMGHIOF6P
# N/PkfIfrf1XygR3bJy+f0u4HICioNg0GmfBgEUHVpZTkeRxCT+Dd1FeDDljp9J41
# AVkXh8SnzKvSGKjaUbp3DkH2Y5P24pHR9zhpx2hnqSF0PHOT0fGFcF4SAeYBTIT0
# nSmVPxjs2+NV1M81xtCLLLCF9ceV784DyY7MhoHI9Q7fHpxUJZi0nuHRzyUurofC
# QmJhOLd5vm7re/WUAHfhG3P7dIkm1mI9SHAWid2A/4vGWHb/bR5mwJTDxvPmgfzz
# EVmR8PHPNTsRXZYpAgMBAAGjggGFMIIBgTAMBgNVHRMBAf8EAjAAMBMGA1UdJQQM
# MAoGCCsGAQUFBwMDMA4GA1UdDwEB/wQEAwIHgDA1BgNVHR8ELjAsMCqgKKAmhiRo
# dHRwOi8vY3JsLmdvZGFkZHkuY29tL2dkaWcyczUtMi5jcmwwXQYDVR0gBFYwVDBI
# BgtghkgBhv1tAQcXAjA5MDcGCCsGAQUFBwIBFitodHRwOi8vY2VydGlmaWNhdGVz
# LmdvZGFkZHkuY29tL3JlcG9zaXRvcnkvMAgGBmeBDAEEATB2BggrBgEFBQcBAQRq
# MGgwJAYIKwYBBQUHMAGGGGh0dHA6Ly9vY3NwLmdvZGFkZHkuY29tLzBABggrBgEF
# BQcwAoY0aHR0cDovL2NlcnRpZmljYXRlcy5nb2RhZGR5LmNvbS9yZXBvc2l0b3J5
# L2dkaWcyLmNydDAfBgNVHSMEGDAWgBRAwr0njsw0gzCiM9f7bLPwtCyAzjAdBgNV
# HQ4EFgQUd28uU+LsLPArCXvwS49GX5IaKcUwDQYJKoZIhvcNAQELBQADggEBAKMz
# CNStFW8r/jaaSDXwbWnpmRjeGx3FZbmwH+r2gv2UQ5Se0ckdRm86CfF8AjGnFd/d
# pOSsLWUSWx5+gdqorB9+xY6KrB0br08CfRYvvw+ZYiRrnvLEJyD3hc13tHYpmDOS
# lamg3seFzk/rKe5g/ZXwDQXOiAMEkH5xBHS3BBILQarbiJ14CLM9eLDSeN8L/Gdy
# SvMX4nWy9UusiXP3ZXvuVPUlAOBvDUZaM1BPir0ZWY/m2FOW8bHxXzTG8VtdgY0y
# JIkaii7O3A1kkB9ofB47LQN/CuwcOOKQx0hNL3Nlq7zsFizWk6MO3ZmPNjjimkI6
# mT0NuoY6yd9VefcO95MxggSFMIIEgQIBATCBwTCBtDELMAkGA1UEBhMCVVMxEDAO
# BgNVBAgTB0FyaXpvbmExEzARBgNVBAcTClNjb3R0c2RhbGUxGjAYBgNVBAoTEUdv
# RGFkZHkuY29tLCBJbmMuMS0wKwYDVQQLEyRodHRwOi8vY2VydHMuZ29kYWRkeS5j
# b20vcmVwb3NpdG9yeS8xMzAxBgNVBAMTKkdvIERhZGR5IFNlY3VyZSBDZXJ0aWZp
# Y2F0ZSBBdXRob3JpdHkgLSBHMgIICsxCB6AJxjswCQYFKw4DAhoFAKCBijAZBgkq
# hkiG9w0BCQMxDAYKKwYBBAGCNwIBBDAcBgorBgEEAYI3AgELMQ4wDAYKKwYBBAGC
# NwIBFTAjBgkqhkiG9w0BCQQxFgQUnOig0AaM6HapKrtekvjOpU9OyrQwKgYKKwYB
# BAGCNwIBDDEcMBqhGIAWaHR0cDpcXHd3dy5hY3RpYW4uY29tIDANBgkqhkiG9w0B
# AQEFAASCAQCKohrQGnJ2LHJ+pM8QoD/JNXZP4Qoj0Rls1CABL/DbpIST3pEA+aqJ
# M9gRGlD33UyEbjTvQjTNKz+PwZ+a/zCQ8DbX0iCj9tg9p+NXJLeot5QMmoBMe/WZ
# 8znV3npvPLKRKKo6TYhBYDlh2FXRpJs2bW5GSzp8t1Dh0OMBj3ge7Yfc/b5IkVxA
# qWcnUgS/FgYv1CKq2VycCPud5YQYtpibWOQGSh6P1D7xmjbBh7u31+n2eSzIveoX
# If7iFwSU0dU+2aCsA5MC8d5ip5/iJxSuiRyCH58x/h68hMliFBLEnBSPhveQ9Zt7
# /0tXg/bb/alCE/FMklQFwz2gI1Fzsc47oYICCzCCAgcGCSqGSIb3DQEJBjGCAfgw
# ggH0AgEBMHIwXjELMAkGA1UEBhMCVVMxHTAbBgNVBAoTFFN5bWFudGVjIENvcnBv
# cmF0aW9uMTAwLgYDVQQDEydTeW1hbnRlYyBUaW1lIFN0YW1waW5nIFNlcnZpY2Vz
# IENBIC0gRzICEA7P9DjI/r81bgTYapgbGlAwCQYFKw4DAhoFAKBdMBgGCSqGSIb3
# DQEJAzELBgkqhkiG9w0BBwEwHAYJKoZIhvcNAQkFMQ8XDTE5MTExMzE1MzEwOVow
# IwYJKoZIhvcNAQkEMRYEFHmUYhgHfUSMxHcUZiCSGXGFSShXMA0GCSqGSIb3DQEB
# AQUABIIBAJ1Xja5kR5yYsBzwFDKAjTnP2m1bAFXhp42d4CndMUNbiQSLzgbSnjwd
# B6/hlmSFnBX8xsVyGi8dh8EfhDHc6nkkYyb45PrMc23CoBZLwHpsbDfaw0+JnBtu
# CQR2yD4Uy2jlEe5FMkXlKuPv3pf4PNM6gRu15Bi6RdK17e1KWyvjzAv9AqKBbHfd
# YpfYAiGc64O6gEUQO78QsSiYZfzQTJ508RRjObEupiUukF1/KmTrCkuRusLTYA9U
# agjjtxG1GHdYeKX3P/LHQFSCRNdodX2tTKePOpCa+IjzaLBV5h5VB7jpMk7udHjf
# pldcg2+BlYH+ccoPsdMnYPmnsXgclTo=
# SIG # End signature block
