##############################################################################
##
## Zen_PowerShell_Script_strings.psd1
##
## by Actian Corporation (http://www.actian.com/zen)
##
## Localized strings for Actian Zen PowerShell scripts.
##
##############################################################################
@{
    # High level error checks for all Zen PowerShell scripts.
    errNoProductType="エラー: インストール構成ファイル '{0}' を読み込めません。"
    errNoWGInstall="エラー: このオペレーティング システムでは、Zen Workgroup Engine のインストールはサポートされていません。"
    errNoWG64="エラー: Zen Workgroup Engine は、32 ビット システムにのみインストールできます。"
    errNoRPT32="エラー: 'reporting' オプションは、64 ビット Windows Nano Server システムでのみ使用できます。"
    errNoPSQL="エラー：互換性のないバージョンの PSQL が現在インストールされています。Zen をインストールする前に、互換性のないバージョンをアンインストールしてください。"
    errNoOtherPsql="エラー: Zen '{0}' は、'{1}' が存在する場合にはインストールできません。"
    errNoArm64="エラー: 現時点では、64 ビット ARM システムへの Zen のインストールはサポートされていません。"
    errUnknown="エラー: スクリプトで不明なエラーが発生しました。上に表示されるメッセージを確認してください。"
    errWrongPlatform="エラー: このパッケージは {0} プラットフォーム用ですが、検出されたプラットフォームは {1} です。"

    # Log file.
    infoStart=         "情報: 開始                            : {0}"
    infoCulture=       "情報: カルチャ                        : {0}"
    infoCompName=      "情報: コンピューター名                : {0}"
    infoProcNum=       "情報: プロセッサ数                    : {0}"
    infoWinArch=       "情報: プロセッサ アーキテクチャ       : {0}"
    infoWinPlat=       "情報: OS バージョン プラットフォーム  : {0}"
    infoWinVer=        "情報: OS バージョン                   : {0}"
    infoIs64Bit=       "情報: 64 ビット OS                    : {0}"
    infoCLRVer=        "情報: 共通言語ランタイム バージョン   : {0}"
    infoUserName=      "情報: ユーザー名                      : {0}"
    infoUserDomain=    "情報: ユーザー ドメイン               : {0}"
    infoPSVer=         "情報: PowerShell バージョン           : {0}"
    infoPSCLRVer=      "情報: PowerShell CLR バージョン       : {0}"
    infoFWDomainPS=    "情報: ファイアウォール ドメイン プロファイルの状態     : {0}"
    infoFWPrivatePS=   "情報: ファイアウォール プライベート プロファイルの状態 : {0}"
    infoFWPublicPS=    "情報: ファイアウォール パブリック プロファイルの状態   : {0}"
    infoScriptName=    "情報: スクリプト名                    : {0}"
    infoScriptPath=    "情報: スクリプト パス                 : {0}"
    infoUpdating=      "情報: 既存の Zen の更新              : {0}"
    infoRunning=       "'{0} {1}' を実行しています。お待ちください..."
    infoEnd=         "情報: 終了                            : {0}"
    completeInstallMsg="+++++ Zen のインストールが完了しました。ログ ファイル '{0}' を参照してください。"
    completeRemoveMsg="+++++ Zen の削除が完了しました。ログ ファイル '{0}' を参照してください。"

    # Service start/stop.
    doStopSvcs="+++++ 実行中の '{0}' サービスを確認しています..."
    passStopSvcs="サービス '{0}' を正常に停止しました。"
    warnStopSvcs="警告: サービス '{0}' を停止できませんでした。"
    notFoundRunningSvcs="実行されている '{0}' サービスはありません。"
    notFoundSvcs="開始する '{0}' サービスはありません。"
    skipAddSvc="サービスの作成をスキップします: サービス名 '{0}' は既に存在します。"
    warnNoSvcFile="警告: '{0}' が見つからないため、サービス名 '{1}' を作成できません。"
    passAddSvc="新しいサービス '{0}' を正常に作成しました。"
    errAddSvc="エラー: 新しいサービス '{0}' を作成できませんでした。"
    doAddSvc="+++++ Zen サービスを作成しています..."
    doRemoveSvc="+++++ Zen サービスを削除しています。"
    svcDesc="{0} を管理します。"
    warnSvcNotStopped="警告: サービス '{0}' は '停止' 状態でないため、削除できません。"
    passRemoveSvc="サービス '{0}' を正常に削除しました。"
    warnUnableToStopSvc="警告: サービス '{0}' を削除できません。サービス コントロール ユーティリティは '{1}' を返しました。"
    doStartPsqlSvcs="+++++ Zen サービスを開始しています..."
    passStartSvcs="サービス '{0}' を正常に開始しました。"
    skipStartSvcs="'{0}' サービスは既に実行されています。"
    errStartSvcs="エラー: サービス '{0}' を開始できません。"

    # Unpacking files.
    doUnpack="+++++ ファイルをアンパックしています。"
    passUnpack="'{0}' の内容を '{1}' に正常に展開しました。"
    warnUnpack="警告: '{0}' の内容を '{1}' に展開できませんでした。"

    # Remove files.
    doDelFiles="+++++ {0} 以外のファイルを削除しています。"
    passDelFiles="非 {0} のファイル '{1}' を正常に削除しました。"
    warnDelFiles="警告: 非 {0} のファイル '{1}' を削除できませんでした。"

    # Updating ACLs.
    doUpdateACLs="ACL '{0}' を '{1}' に適用しています。"
    passUpdateACLs="ACL '{0}' を '{1}' に正常に適用しました。"
    warnUpdateACLs1="警告: UpdateACLs 関数に正しくない数の引数が渡されました。"
    warnUpdateACLs2="警告: '{0}' が見つからないため、ACL '{1}' は適用されませんでした。"
    warnUpdateACLs3="警告: '{0}' の ACL を '{1}' に更新できませんでした。"

    # Reading from config file.
    doReadCfgFile="+++++ {0} の値を読み取っています..."
    addVarFromCfg="既存の変数 '{0}' を '{1}' に更新しています。"
    updateVarFromCfg="変数 '{0}' を '{1}' に作成しています。"
    errNoCfgFile="エラー: 構成ファイル '{0}' が見つからないため、インストールを続行できません。"

    # Performance Counter Sets.
    doUpdatePerfMonCtr="+++++ Windows パフォーマンス モニターの Zen カウンター セットをアンロードしています。"
    warnNotFoundPerfMonCtrCfg="警告: パフォーマンス モニターのカウンター セットを有効にする構成ファイル '{0}' が見つかりません。アンロードをスキップします。"
    passUpdatePerfMonCtr="Windows パフォーマンス モニターの Zen カウンター セットを正常にアンロードしました。"
    warnUpdatePerfMonCtr="警告: パフォーマンス モニターの Zen カウンター セットをアンロードできませんでした。'Unlodctr.exe /m:{0}' は '{1}, {2}' を返しました。"
    doLoadPerfMonCtr="+++++ Windows パフォーマンス モニターの Zen カウンター セットを読み込んでいます。"
    #warnNotFoundPerfMonCtrCfg - see UnloadPerfMonCounterSets
    passLoadPerfMonCtr="Windows パフォーマンス モニターの Zen カウンター セットを正常に読み込みました。"
    warnLoadPerfMonCtr="警告: Windows パフォーマンス モニターの Zen カウンター セットを読み込めませんでした。'Lodctr.exe {0}' は '{1}, {2}' を返しました。"

    # Remove obsolete files.
    doRemoveObsoleteFiles="+++++ アップグレード中に古いファイルを削除しました。"
    passRemoveObsoleteFiles="古いファイル '{0}' を正常に削除しました。"
    warnRemoveObsoleteFiles="警告: 古いファイル '{0}' を削除できませんでした。"

    # Path env var edits.
    doUpdatePath="+++++ %PATH% 環境変数を確認しています..."
    doRemoveFromPath="+++++ %PATH% 環境変数から '{0}' を削除しています。"
    skipUpdatePath="{0} %PATH% 環境変数には、'{1}' が既に含まれています。"
    passUpdatePath="{1} %PATH% 環境変数に '{0}' を正常に追加しました。"
    warnUpdatePath="警告: {1} %PATH% 環境変数に '{0}' を追加できませんでした。"
    warnRemoveFromPathArgs="警告: RemoveStrFromPath 関数に正しくない数の引数が渡されました。"
    passRemoveFromPath="{1} %PATH% 環境変数から '{0}' を正常に削除しました。"
    warnRemoveFromPath="警告: {1} %PATH% 環境変数から '{0}' を削除できませんでした。"

    # Registry edits.
    doPsqlReg="+++++ システム レジストリを更新しています..."
    doRemovePsqlReg="+++++ レジストリ キー '{0}' を削除しています。"
    skipCreateRootKey="ルート キー '{0}' は既に存在します。"
    addRootKey="ルート キー '{0}' を作成しています。"
    skipInstallInfoKey="InstallInfo キー '{0}' は既に存在します。"
    addInstallInfoKey="InstallInfo キー '{0}' を作成しています。"
    addInstallInfoValues="InstallInfo 値を設定しています。詳細については、ログ ファイル '{0}' を参照してください。"
    skipElsKey="ELS キー '{0}' は既に存在します。"
    addElsKey="ELS キー '{0}' を作成しています。"
    addElsValues="ELS 値を設定しています。詳細については、ログ ファイル '{0}' を参照してください。"
    addDBNamesDirectory="既存の DBNAMES.CFG ファイルが見つかり、レジストリ値 DBNamesDirectory='{0}' を作成しています。"
    notFoundPsqlReg="Zen ルート キー '{0}' は存在しません。"
    passRemovePsqlReg="レジストリ キー '{0}' を正常に削除しました。"
    warnRemovePsqlReg="警告: レジストリ キー '{0}' を削除できませんでした。"

    # COM un/registration.
    doRegisterCom="+++++ Zen COM インターフェイス ライブラリを登録しています..."
    doUnRegisterCom="+++++ Zen COM インターフェイス ライブラリの登録を解除しています。"
    passRegFile="COM インターフェイス '{0}' を正常に登録しました。"
    warnRegFile="警告: COM インターフェイス '{0}' を登録できませんでした。"
    passUnRegFile="COM インターフェイス '{0}' の登録を正常に解除しました。"
    warnUnRegFile="警告: COM インターフェイス '{0}' の登録を解除できませんでした。"

    # Firewall rules.
    warnNoRuleFile="警告: '{0}' が見つからないため、新しいファイアウォール規則 '{1}' を作成できません。"
    skipAddRule="ファイアウォール規則の作成をスキップします: 規則名 '{0}' は既に存在します。"
    passAddRule="すべてのファイアウォール プロファイルに新しいファイアウォール規則 '{0}' を正常に作成しました (enabled=no)。"
    warnAddRuleFailed="警告: すべてのファイアウォール プロファイルに新しいファイアウォール規則 '{0}' を作成できませんでした (enabled=no)。"
    doAddFWRules="+++++ Zen ファイアウォール規則を追加しています..."
    warnNoNetSecCreate="警告: NetSecurity PowerShell モジュールはインストールされていません。Zen ファイアウォール規則は作成されません。"
    warnNoNetSecModify="警告: NetSecurity PowerShell モジュールはインストールされていません。インストールされている Zen ファイアウォール規則は変更されません。"
    warnNoNetSecRemove="警告: NetSecurity PowerShell モジュールはインストールされていません。インストールされている Zen ファイアウォール規則は削除されません。"
    doRemoveFWRules="+++++ Zen ファイアウォール規則を削除しています。"
    passRemoveFWRule="'{0}*' と一致するファイアウォール規則名を正常に削除しました。"
    warnRemoveFWRule="警告: '{0}*' と一致するファイアウォール規則名を削除できませんでした。"
    failToEnableRules="警告: Windows ファイアウォール プロファイル '{0}' で、名前が 'Actian Zen*' に一致するファイアウォール規則を有効にできませんでした。"

    # Databases.
    doCreateDbs="+++++ Zen システム データベースを初期化しています..."
    #doRemoveDbs="+++++ Zen システム データベースをアンインストールしています。"
    skipCreateDbs="+++++ Zen システム データベースの初期化をスキップしています (Client または Reporting Engine インストール)..."
    #skipRemoveDbs="+++++ Zen システム データベースのアンインストールをスキップしています (Client または Reporting Engine がインストールされています)。"
    foundDbnames="'{0}DBNAMES.CFG' は既に存在します。Zen システム データベースの既存のストアド プロシージャは更新されます。"
    #noSetupDbCfgUpdate="警告: setupdb 構成ファイル '{0}' が見つからないため、Zen システム データベースのストアド プロシージャは更新されませんでした。"
    notFoundDbnames="'{0}DBNAMES.CFG' は存在しないため、Zen システム データベースが作成されます。"
    noSetupDbCfgCreate="警告: setupdb 構成ファイル '{0}' が見つからないため、Zen システム データベースは作成されませんでした。"
    runningSetupdb="'setupdbcli.exe {0}' を実行しています。'{1}' で結果を調べてください。"
    passSetupdb="'{0}bin\setupdbcli.exe' を正常に実行しました。'{1}' で結果を調べてください。"
    failSetupdb="警告: '{0}bin\setupdbcli.exe' を実行できませんでした。"
    noSetupDb="警告: '{0}bin\setupdbcli.exe' が見つからないため、Zen システム データベースは作成されませんでした。"
    noSetupDbRemove="警告: '{0}bin\setupdbcli.exe' が見つからないため、Zen システム データベースは削除されませんでした。"

    # Licensing.
    doAddTempLic="+++++ Zen 試用ライセンスを承認しています..."
    notFoundClilcadm="警告: '{0}bin\clilcadm.exe' が見つからないため、試用ライセンスは適用されませんでした。"
    passAddTempLic="Zen 試用ライセンス '{0}' を正常に承認しました。"
    warnAddTempLic="警告: {0} - {1} - {2}。"

    # E-Collect.
    doECollect="+++++ インストールされている Zen 製品の情報を収集しています..."
    skipECollect="+++++ インストールされている Zen 製品の情報収集をスキップしています (このプラットフォームでは、e-コレクトはサポートされていません)..."
    passECollect="インストールされている Zen 製品の情報を正常に収集しました。"
    warnECollect="警告: インストールされている Zen 製品の情報を収集できませんでした ({0} は '{1}' を返しました)。"
    infoECollectCopiedLog="情報: els.log を '{0}\zen_els_uninstall.log' にコピーしました。"

    # Update Royalty Record.
    doUpdateRoyaltyRec="+++++ ロイヤルティ レコードを更新しています..."
    passUpdateRoyaltyRec="ロイヤルティ レコードを正常に更新しました。"
    warnUpdateRoyaltyRec="警告: ロイヤルティ レコードを更新できませんでした ({0} は '{1}' を返しました)。"

    # Remove Files and Folders.
    warnRemoveDirArgs="警告: RemoveFolderIfEmpty 関数に正しくない数の引数が渡されました。"
    passRemoveDir="空のフォルダー '{0}' を正常に削除しました。"
    warnRemoveDir="警告: '{0}' を削除できませんでした。Remove-Item コマンドレットは次を返しました: '{1}'"
    passRemoveParent="空の親フォルダー '{0}' を正常に削除しました。"
    warnRemoveParent="親フォルダー '{0}' は空でないため、削除できませんでした。"
    doRemovePsqlFiles="+++++ Zen ファイルを削除しています。"
    passRemovePsqlFiles="'{0}' からすべてのファイルとフォルダーを正常に削除しました。"
    warnRemovePsqlFiles="警告: '{0}' から 1 つ以上のファイルまたはフォルダーを削除できませんでした。Remove-Item コマンドレットは次を返しました: '{1}'"
    keepDbnames="'{0}{1}' を保持しています。"
    passRemovePsqlItem="'{0}{1}' を正常に削除しました。"
    warnRemovePsqlItem="警告: '{0}{1}' を削除できませんでした。"
}